CRAN Package Check Results for Package spotGUI

Last updated on 2021-06-22 22:56:52 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.2.3 16.58 131.23 147.81 OK
r-devel-linux-x86_64-debian-gcc 0.2.3 12.97 98.56 111.53 OK
r-devel-linux-x86_64-fedora-clang 0.2.3 185.17 NOTE
r-devel-linux-x86_64-fedora-gcc 0.2.3 185.67 NOTE
r-devel-windows-x86_64 0.2.3 24.00 150.00 174.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.2.3 ERROR
r-patched-linux-x86_64 0.2.3 15.31 124.06 139.37 OK
r-patched-solaris-x86 0.2.3 251.70 NOTE
r-release-linux-x86_64 0.2.3 14.97 123.11 138.08 OK
r-release-macos-arm64 0.2.3 NOTE
r-release-macos-x86_64 0.2.3 NOTE
r-release-windows-ix86+x86_64 0.2.3 27.00 155.00 182.00 OK
r-oldrel-macos-x86_64 0.2.3 NOTE

Check Details

Version: 0.2.3
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘batchtools’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.2.3
Check: package dependencies
Result: ERROR
    Packages required but not available: 'smoof', 'SPOT', 'plotly'
    
    Packages suggested but not available for checking: 'shinytest', 'devtools'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT